﻿/* -------------------------------------------------------------------------- *
 * ========================================================================== *
 * Mohunky Cornerstone v7.0.7
 * Site Colours
 * ========================================================================== *
 * -------------------------------------------------------------------------- *

/* ================= Colours ================== */
:root {
	--colorPrimary: #00857c;
	--colorPrimary-light: #6eceb2;
	--colorPrimary-dark: #5372C7;
	--colorSecondary: #DDF15D;
	--colorSecondary-light: #ecf7a3;
	--colorSecondary-dark: #ceeb17;
	--colorSuccess: #249542;
	--colorWarning: #edad21;
	--colorDanger: #db5d5d;
	--colorOffBlack: #3d444d;
	--colorOffBlack-light: light-dark(#363e4f, #d4d8e3);
	--colorOffBlack-dark: light-dark(#171a22, #f3f4f7);
	--colorGrey: #cac9c8;
	--colorGrey-light: #e7e8eb;
	--colorGrey-dark: #545e69;
	--colorOffWhite: light-dark(#f7f7f7, #f7f7f7);
	--colorOffBlack: light-dark(#0a192c, #f0f4f5);
	--colorOffBlack-perpetual: #0a192c;
	--colorWhite: light-dark(#ffffff, #000000);
	--colorWhite-perpetual: #ffffff;
	--colorBlack: light-dark(#000000, #ffffff);
	--colorBlack-perpetual: #000000;
	--colorText: light-dark(#0a192c, #ffffff);
	--colorViewBg: light-dark(#ffffff, #1D222B);
	--colorTileBg: light-dark(var(--colorWhite), #212631);
	--colorTileHdr: light-dark(#F8F8F9, #272C37);
	--colorTileBdr: light-dark(#CDCECF, #3E424B);
}

/* ----- Background Colours ----- */
.-bgAdmin				{   background-color:var(--colorBgAdmin);   }

.-bgPrimary				{   background-color:var(--colorPrimary);   }
.-bgPrimary-light		{   background-color:var(--colorPrimary-light);   }
.-bgPrimary-dark		{   background-color:var(--colorPrimary-dark);   }

.-bgSecondary			{   background-color:var(--colorSecondary);   }
.-bgSecondary-light	{   background-color:var(--colorSecondary-light);   }
.-bgSecondary-dark	{   background-color:var(--colorSecondary-dark);   }

.-bgSuccess				{   background-color:var(--colorSuccess);   }
.-bgWarning				{   background-color:var(--colorWarning);   }
.-bgDanger				{   background-color:var(--colorDanger);   }

.-bgOffBlack			{   background-color:var(--colorOffBlack);   }
.-bgOffBlack-light	{   background-color:var(--colorOffBlack-light);   }
.-bgOffBlack-dark		{   background-color:var(--colorOffBlack-dark);   }

.-bgGrey					{   background-color:var(--colorGrey);   }
.-bgGrey-light			{   background-color:var(--colorGrey-light);   }
.-bgGrey-dark			{   background-color:var(--colorGrey-dark);   }

.-bgOffWhite			{   background-color:var(--colorOffWhite);   }
.-bgOffWhite-light	{   background-color:var(--colorOffWhite-light);   }
.-bgOffWhite-dark		{   background-color:var(--colorOffWhite-dark);   }

.-bgWhite				{   background-color:var(--colorWhite);   }

/* ----- Text Colours ----- */
.-txtPrimary			{   color:var(--colorPrimary);   }
.-txtPrimary-light	{   color:var(--colorPrimary-light);   }
.-txtPrimary-dark		{   color:var(--colorPrimary-dark);   }

.-txtSecondary			{   color:var(--colorSecondary);   }
.-txtSecondary-light	{   color:var(--colorSecondary-light);   }
.-txtSecondary-dark	{   color:var(--colorSecondary-dark);   }

.-txtSuccess			{   color:var(--colorSuccess);   }
.-txtWarning			{   color:var(--colorWarning);   }
.-txtDanger				{   color:var(--colorDanger);   }

.-txtOffBlack			{   color:var(--colorOffBlack);   }
.-txtOffBlack-light	{   color:var(--colorOffBlack-light);   }
.-txtOffBlack-dark	{   color:var(--colorOffBlack-dark);   }

.-txtGrey				{   color:var(--colorGrey);   }
.-txtGrey-light		{   color:var(--colorGrey-light);   }
.-txtGrey-dark			{   color:var(--colorGrey-dark);   }

.-txtOffWhite			{   color:var(--colorOffWhite);   }
.-txtOffWhite-light	{   color:var(--colorOffWhite-light);   }
.-txtOffWhite-dark	{   color:var(--colorOffWhite-dark);   }

.-txtWhite				{   color:var(--colorWhite);   }
.-txtWhite a,
.-txtWhite a:visited	{   color:var(--colorWhite); border-bottom-color:var(--colorWhite);   }

.-txtErrorRed			{   color:var(--colorErrorRed);   }

/* ----- SVG Fill Colours ----- */
.-fillPrimary			{   fill:var(--colorPrimary);   }
.-fillPrimary-light	{   fill:var(--colorPrimary-light);   }
.-fillPrimary-dark	{   fill:var(--colorPrimary-dark);   }

.-fillSecondary		{   fill:var(--colorSecondary);   }
.-fillSecondary-light{   fill:var(--colorSecondary-light);   }
.-fillSecondary-dark	{   fill:var(--colorSecondary-dark);   }

.-fillSuccess			{   fill:var(--colorSuccess);   }
.-fillWarning			{   fill:var(--colorWarning);   }
.-fillDanger			{   fill:var(--colorDanger);   }

.-fillGrey				{   fill:var(--colorGrey);   }
.-fillGrey-light		{   fill:var(--colorGrey-light);   }
.-fillGrey-dark		{   fill:var(--colorGrey-dark);   }

.-fillOffBlack			{   fill:var(--colorOffBlack);   }
.-fillOffBlack-light	{   fill:var(--colorOffBlack-light);   }
.-fillOffBlack-dark	{   fill:var(--colorOffBlack-dark);   }

.-fillOffWhite			{   fill:var(--colorOffWhite);   }
.-fillOffWhite-light	{   fill:var(--colorOffWhite-light);   }
.-fillOffWhite-dark	{   fill:var(--colorOffWhite-dark);   }

.-fillWhite				{   fill:var(--colorWhite);   }